/* Yet Another Forum.NET
 * Copyright (C) 2003-2005 Bjørnar Henden
 * Copyright (C) 2006-2013 Jaben Cargman
 * Copyright (C) 2014-2015 Ingo Herbote
 * http://www.yetanotherforum.net/
 * 
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at

 * http://www.apache.org/licenses/LICENSE-2.0

 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
namespace YAF.Types
{
  #region Using

  using System;
  using System.CodeDom.Compiler;
  using System.Collections.Generic;
  using System.ComponentModel;
  using System.Diagnostics;
  using System.Xml.Schema;
  using System.Xml.Serialization;

  #endregion

  // This source code was auto-generated by xsd, Version=2.0.50727.3038.

  /// <summary>
  /// The resources.
  /// </summary>
  /// <remarks>
  /// </remarks>
  [GeneratedCode("xsd", "2.0.50727.3038")]
  [Serializable]
  [DebuggerStepThrough]
  [DesignerCategory("code")]
  [XmlType(AnonymousType = true)]
  [XmlRoot("Resources")]
  public class LanguageResources
  {
    #region Constants and Fields

    /// <summary>
    /// The code field.
    /// </summary>
    private string codeField;

    /// <summary>
    /// The language field.
    /// </summary>
    private string languageField;

    /// <summary>
    /// The page field.
    /// </summary>
    private List<LanguageResourcesPage> pageField;

    #endregion

    #region Properties

    /// <summary>
    /// The code.
    /// </summary>
    /// <remarks>
    /// </remarks>
    [XmlAttribute]
    public string code
    {
      get
      {
        return this.codeField;
      }

      set
      {
        this.codeField = value;
      }
    }

    /// <summary>
    /// The language.
    /// </summary>
    /// <remarks>
    /// </remarks>
    [XmlAttribute]
    public string language
    {
      get
      {
        return this.languageField;
      }

      set
      {
        this.languageField = value;
      }
    }

    /// <summary>
    /// The page.
    /// </summary>
    /// <remarks>
    /// </remarks>
    [XmlElement("page", Form = XmlSchemaForm.Unqualified)]
    public List<LanguageResourcesPage> page
    {
      get
      {
        return this.pageField;
      }

      set
      {
        this.pageField = value;
      }
    }

    #endregion
  }

  /// <summary>
  /// The resources page.
  /// </summary>
  /// <remarks>
  /// </remarks>
  [GeneratedCode("xsd", "2.0.50727.3038")]
  [Serializable]
  [DebuggerStepThrough]
  [DesignerCategory("code")]
  [XmlType(AnonymousType = true)]
  public class LanguageResourcesPage
  {
    #region Constants and Fields

    /// <summary>
    /// The name field.
    /// </summary>
    private string nameField;

    /// <summary>
    /// The resource field.
    /// </summary>
    private List<LanuageResourcesPageResource> resourceField;

    #endregion

    #region Properties

    /// <summary>
    /// The resource.
    /// </summary>
    /// <remarks>
    /// </remarks>
    [XmlElement("Resource", Form = XmlSchemaForm.Unqualified, IsNullable = true)]
    public List<LanuageResourcesPageResource> Resource
    {
      get
      {
        return this.resourceField;
      }

      set
      {
        this.resourceField = value;
      }
    }

    /// <summary>
    /// The name.
    /// </summary>
    /// <remarks>
    /// </remarks>
    [XmlAttribute]
    public string name
    {
      get
      {
        return this.nameField;
      }

      set
      {
        this.nameField = value;
      }
    }

    #endregion
  }

  /// <summary>
  /// The resources page resource.
  /// </summary>
  /// <remarks>
  /// </remarks>
  [GeneratedCode("xsd", "2.0.50727.3038")]
  [Serializable]
  [DebuggerStepThrough]
  [DesignerCategory("code")]
  [XmlType(AnonymousType = true)]
  public class LanuageResourcesPageResource
  {
    #region Constants and Fields

    /// <summary>
    /// The edit type field.
    /// </summary>
    private string editTypeField;

    /// <summary>
    /// The tag field.
    /// </summary>
    private string tagField;

    /// <summary>
    /// The value field.
    /// </summary>
    private string valueField;

    #endregion

    #region Properties

    /// <summary>
    /// The value.
    /// </summary>
    /// <remarks>
    /// </remarks>
    [XmlText]
    public string Value
    {
      get
      {
        return this.valueField;
      }

      set
      {
        this.valueField = value;
      }
    }

    /// <summary>
    /// The edit type.
    /// </summary>
    /// <remarks>
    /// </remarks>
    [XmlAttribute]
    public string editType
    {
      get
      {
        return this.editTypeField;
      }

      set
      {
        this.editTypeField = value;
      }
    }

    /// <summary>
    /// The tag.
    /// </summary>
    /// <remarks>
    /// </remarks>
    [XmlAttribute]
    public string tag
    {
      get
      {
        return this.tagField;
      }

      set
      {
        this.tagField = value;
      }
    }

    #endregion
  }
}